{% extends "siswa/userbase.html.twig" %}

{% block body %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Konfirmasi Pembayaran
        {% endblock %}

    {% endembed %}

    <section class="mt-3 container-fluid">
        <div class="d-flex justify-content-between">
            {#            <p class="mb-0 f10 text-black-50">Nomor Invoice : #{{ payment.getPaymentReference() }}</p>#}
        </div>
        <div class="d-flex justify-content-between">
            <p class="mb-0 f10 text-black-50 font-weight-bold">Total Pembayaran</p>
            <p class="mb-0 f10 t-black font-weight-bold">Rp {{ transaction.getAmount()|number_format(0, ',', '.') }}</p>
        </div>
        <hr>
        <input type="hidden" id="reference" value="{{ transaction.getId() }}" name="reference">
        <div class="form-group">
            <label for="nomorRekening">Nomor Rekening</label>
            <input class="form-control" id="nomorRekening" required type="number"
                   placeholder="Masukan nomor rekening kamu" name="rekening"
                   value="{{ transaction.getConfirmationInfo() != null ? transaction.getConfirmationInfo()['accountNumber'] : '' }}">
        </div>
        <div class="form-group">
            <label for="holderName">Nama Pemilik Rekening</label>
            <input class="form-control" id="holderName" required type="text"
                   placeholder="Masukan nama Pemilik rekening " name="holderName"
                   value="{{ transaction.getConfirmationInfo() != null ? transaction.getConfirmationInfo()['accountHolder'] : '' }}">
        </div>

        <div class="fixed-bottom p-3 w-100">
            <a id="btn-confirm" class="bt-primary w-100 d-block" style="box-shadow: grey ; outline: none; border: none">Konfirmasi</a>
        </div>
    </section>


    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        async function konfirmasi(r, rk, h) {
            genLoading('Tunggu Sebentar, Sedang Mengirim Data Konfirmasi...');
            let response = await $.post('/member/payment/submit-confirm', {reference: r, rekening: rk, holderName: h});
            console.log(response);
            if (response['code'] === 200) {
                genAlert('Success', 'Konfirmasi Kamu Sudah Kami Sampaikan Ke Admin. Mohon Di Tunggu...');
                window.location.href = '/member/payment';
            } else {
                genAlert('Gagal', 'Konfirmasi Kamu Gagal Tersimpan. Silahkan Menghubungi Admin');
                genLoadingDestroy()
            }
        }

        $(document).ready(function () {
            $('#btn-confirm').on('click', function () {
                // let reference = $('#reference').val();
                let reference = '{{ transaction.getId() }}' || '';
                let rekening = $('#nomorRekening').val();
                let holderName = $('#holderName').val();
                if (reference !== '' || rekening !== '' || holderName !== '') {
                    konfirmasi(reference, rekening, holderName);
                } else {
                    genAlert('Ooops', 'Tolong Isi Form Dengan Lengkap!');
                }
            })
        });
    </script>
{% endblock %}